#include <iostream>
#include <ctime>
#include <cstdlib>
#include <cmath>

using namespace std;

int main() {
    
    int n; 
    
    cin >> n;
    
    srand(time(NULL));
    
    int k= rand()%sqrt(n) +1; 
    cout << k;
    
    return 0;
}